<html>
   <head>
      <meta http-equiv="pragma"        content="no-cache">
      <meta http-equiv='content-type'  content='text/html; charset=utf-8'>
      <title>Wrightia :: Runtime Ecosystem</title>
      %invoke wia.pub.ecosys.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/onlinedoc.css">
      %end invoke%
      <style>
         li
            {
            margin-top: 1em;
            }
         li img
            {
            vertical-align: middle;
            margin: -2px -4px;
            }
         li p
            {
            margin-left: 0;
            margin-top:  .4em;
            }
      </style>
   </head>

   <body>
    <table width="100%" border="0">
      <tr>
        <td>
          %invoke wia.pub.ecosys.ui.about:getMetadata%
            <h1 class="title">%value packageLongName%, v%value packageVersion%</h1>
          %onerror%
            <h1 class="title">Error: could not resolve package info</h1>
          %end invoke%
          <h3 class="title">Home Page</h3>
        </td>
        <td width="10" align="right">
          <img src="/WiaRoot/images/logo.gif">
        </td>
      </tr>
    </table>
    <br/><br/>

    <h2>Credits</h2>
      <div>
        <p>A package developed by <span class="productname">Wrightia, S.A.</span> (<span class="productname">www.wrightia.com</span>).</p>
      </div>

    <h2>Purpose</h2>
      <div>
         <p>
            This package contains utility services that encapsulate the rules of a runtime environment, defined as an ecosystem.
         </p>
         <p>For the time being, these rules only govern the access do some folders that are either common or very ususal in relation to a/any package, such as:</p>
         <ul>
            <li>The <tt>config</tt> folder;
               <p>The folder where package specific configurations are stored.</p>
            </li>
            <li>The <tt>temp</tt> folder;
               <p>A folder where the package services can create temporary files.</p>
            </li>
            <li>The <tt>logs</tt> folder;
               <p>A folder where the package writes its specific log files to.</p>
            </li>
            <li>The <tt>replicate/outbound</tt> folder;
               <p>A folder where the package writes outbound files as a result of its own funtionality.</p>
               <p>Services to download from this folder and/or subfolders are also provided to encapsulate file structure details.</p>
            </li>
            <li>A custom folder.
               <p>Any folder the package may require to write/read files as a result of its own functionality.</p>
            </li>
         </ul>
         <p>
            The folders managed by this package are <span class="stressed">not</span> within the target package's structure, but rather in a parallel structure
            outside the <tt>packages</tt> folder or within already known and existing folders for that very purpose (<em>such as the folder for the logs</em>).
         </p>
         <p>
            The regular usage of the rules brought forward by this package, regardless of the package, allows for an
            anticipated knowledge of where such files reside in the disc and also enables installing new versions of the package
            without having to manage by hand the files that are created in the package's internal structure as a
            consequence of its runtime activity.
         </p>
         <p><span class="emphasized">The underlying principles are simple</span>:</p>
         <ul>
            <li>Any installed package should remain unaltered through its runtime lifecycle;</li>
            <li>Installing a new version of a package should not have to involve manually managing files directly in the file system, within that package's file structure;</li>
            <li>All packages should have similar folder structures for common features;</li>
            <li>Location of files generated by any package must be known beforehand and be easily found in the file system;</li>
            <li>A streamlined folder structure makes it possible to automate any regular maintenance tasks.</li>
         </ul>
      </div>

   <h2>Example</h2>
      <div>
         %scope SamplePackage%
            <p>Giving as an example a ficticious package named <tt>%value packageName%</tt>, its standard ecosystem file structure would be:
            <ul>
               %loop Dirs%
                  <li>The package's %value purpose% folder: <tt>%value dir%</tt></li>
               %end loop%
            </ul>
         %end scope%
      </div>

   </body>
</html>
