<!DOCTYPE html>
<html>
   <head>
      <meta http-equiv="pragma"        content="no-cache">
      <meta http-equiv='content-type'  content='text/html; charset=utf-8'>
      <title>Wrightia :: Snapshot Collector</title>
      %invoke wia.pub.isspscoll.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/onlinedoc.css">
      <link rel="stylesheet" type="text/css" href="/WiaServiceProfiler/issprofiler.css">
      <link rel="stylesheet" type="text/css" href="css/package.css" />
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/no-quirks.css">
      <script type="text/javascript" src="/WiaServiceProfiler/tablesorter/tablesorter.js"></script>
      <script type="text/javascript" src="/WiaRoot/scripts/wia4dom.js"></script>
      %end invoke%
      <script type="text/javascript">
         <!-- // Activate cloak

         TableSorter.imagesFolder       = "/WiaServiceProfiler/" + TableSorter.imagesFolder;

         function setServerId(elementId)
         /*****************************/{
            var xResult = false;

            if (elementId)
               {
               var xSingleElement = document.getElementById("singleServerId");

               if (xSingleElement)
                  {
                  xSingleElement.value = elementId;

                  // clear any other selections
                  setAllServers(false);

                  xResult = true;
                  }
               }

            return xResult;
         }

         function setAllServers(isChecked)
         /*****************************/{
            var xElements = getElementsByName("input", "serverIds");

            if (xElements)
               for(var xIdx = 0; xIdx < xElements.length; xIdx++)
                  xElements[xIdx].checked = isChecked;
         }

         // Deactivate cloak -->
      </script>
   </head>

   <body>
      <table class="topContainer">
         <tr>
            <td class="menusection menusection-SnapshotCollector" colspan="2">Server Selection</td>
         </tr>
         <tr>
            <td>
               <ul>
                  %ifvar LicenseInfo/isValid equals('true')%
                  <li><a href="server-select.dsp?action=gather">Launch a Snapshot Gatherer Now</a></li>
                  %endif%
                  <li><a href="server-select.dsp">Refresh</a></li>
               </ul>
            </td>
            <td class="navbar">
               <ul>
                  <li><a href="./">Home</a></li>
                  <li><a href="doc/PackageHelp.html#serverdrilldownselection" target="isspcoll_onlinehelp">Help</a></li>
               </ul>
            </td>
         </tr>
      </table>
      <table class="mainContainer"><!-- this table is being used only to set a left indentation to the child tables -->
         %ifvar action equals('gather')%
            %invoke wia.pub.isspscoll.ui.selectSnapshot:launchGatherer%
            %onerror%
            <tr>
               <td class="message" colspan="2">
                  Error launching the Snapshot Gatherer service.</br>
                  %value errorMessage encode(xml)%
               </td>
            </tr>
            %end invoke%
         %endif%
         <tr>
            <td width="10">&nbsp;</td>
            <td>
               <div class="note">
                  <p>
                     Select an <span class="productname">Integration server</span> from the list
                     to drill-down to the list of snapshots stored for it.
                  </p>
               </div>
               <form name="frmMain" method="post" action="snapshot-select.dsp">
                  <table name="formContainer" class="formContainer" sortable="true">
                     %invoke wia.pub.isspscoll.ui.selectServer:getMetadata%
                        <thead>
                           <tr class="heading">
                              <td colspan="5">Select a server to drill-down
                                 <input type="hidden" name="serverId" id="singleServerId" />
                              </td>
                           </tr>
                           <tr>
                              %ifvar /LicenseInfo/isValid equals('true')%
                                 <td class="columnHeading-c"><input type="checkbox" onclick="javascript: setAllServers(this.checked)" /></td>
                              %else%
                                 <td class="columnHeading-c" style="height: 20px;">&nbsp;</td>
                              %end if%
                              <td class="columnHeading"   sortable="true">Host</td>
                              <td class="columnHeading"   sortable="true" sortType="number">Port</td>
                              <td class="columnHeading-c" sortable="true" sortOrder="desc" >Active</td>
                              <td class="columnHeading-c">Select</td>
                           </tr>
                        </thead>
                        <tbody>
                           %loop Servers%
                              <tr class="selectableRowStripped">
                                 %ifvar /LicenseInfo/isValid equals('true')%
                                    <td class="oddrowdata"><input type="checkbox" name="serverIds" value="%value $uuid%"/></td>
                                 %else%
                                    <td class="oddrowdata" style="height: 20px;">&nbsp;</td>
                                 %end if%
                                 <td class="oddrow-l">%value host%</td>
                                 <td class="oddrow-l">%value port%</td>
                                 <td class="oddrowdata">%ifvar $alias%Y%end%</td>
                                 %ifvar /LicenseInfo/isValid equals('true')%
                                    <td class="oddrowdata"><input type="submit" value="Go" onclick="return setServerId('%value $uuid%');"/></td>
                                 %else%
                                    <td class="oddrowdata" style="height: 20px;">&nbsp;</td>
                                 %end if%
                              </tr>
                           %end loop%
                        </tbody>
                        %ifvar LicenseInfo/isValid equals('true')%
                        <tfoot>
                           <tr>
                              <td class="action" colspan="5">
                                 <input type="submit" name="build" value="List Snapshots" />
                              </td>
                           </tr>
                        <tfoot>
                        %end if%
                     %onerror%
                        <tr>
                           <td class="message" colspan="4">
                              An error occurred trying to build the report data.
                              Check by executing the '%value errorService%' service on a browser.
                              The error details are as follows: <br/><br/>
                              %value errorMessage encode(xml)%
                           </td>
                        </tr>
                     %end invoke%
                  </table>
               </form>
            </td>
         </tr>
      </table>
   </body>
</html>
